Name:           plexus-interpolation
Version:        1.13
Release:        8
Summary:        Plexus Interpolation API

Group:          Development/Java
License:        ASL 2.0 and ASL 1.1 and MIT
URL:            http://plexus.codehaus.org/plexus-components/plexus-interpolation
#svn export http://svn.codehaus.org/plexus/plexus-components/tags/plexus-interpolation-1.13/
#tar cjf plexus-interpolation-1.13.tar.bz2 plexus-interpolation-1.13/
Source0:        %{name}-%{version}.tar.bz2

BuildArch: noarch

BuildRequires: java-devel
BuildRequires: junit
BuildRequires: maven2
BuildRequires: maven-resources-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-surefire-provider-junit
#BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-doxia-sitetools
BuildRequires: plexus-maven-plugin

%description
Plexus interpolator is the outgrowth of multiple iterations of development
focused on providing a more modular, flexible interpolation framework for 
the expression language style commonly seen in Maven, Plexus, and other 
related projects.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q 

%build
export LC_ALL=ISO-8859-1
mvn install javadoc:javadoc

%install

# jars
install -d -m 0755 %{buildroot}%{_javadir}/plexus
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/plexus/interpolation-%{version}.jar

(cd %{buildroot}%{_javadir}/plexus && for jar in *-%{version}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%add_to_maven_depmap org.codehaus.plexus plexus-interpolation %{version} JPP/plexus interpolation

# poms
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -pm 644 pom.xml \
    %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/api*

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/plexus/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Tue Jul 08 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.13-8
+ Revision: 892f65e
- Rebuild to main repo


